Skip to navigation

List reservations

Retrieves a list of the active, completed, or cancelled reservations of a traveler.

Use case

This endpoint can be used on a reservation activity page that provides users a paginated summary of their reservations. The response contains a list of up to 100 hotel reservations for a traveler email address stored in our system. This includes the list of hotel reservation dates of stay, hotel location, reservation status, and traveler information.

What’s next?

The booking_uid in the response can be used to get a detailed reservation summary via the get_reservation_details endpoint.

Path parameters

versionstringRequired

Headers

AuthorizationstringOptional

Request signature for authentication. Format: Signature YOUR_SIGNATURE. Calculated using HMAC-SHA256 with your secret key.

Query parameters

api_keystringOptional

Your public API key. Example: api_key=testkey.

timestampstringOptional

The UNIX (UTC) timestamp created by your application for this request (in seconds). Must be within 2.5 minutes of the current time.

noncestringOptional
A unique cryptographic identifier created by your application to secure the request. Must be 32 characters or less and cannot be reused within 5 minutes.
localestringOptional

The language preference of your user. Valid values: en_US, fr_FR, de_DE, es_ES, it_IT, pt_PT, ja_JP, ko_KR. Default is en_US.

customer_ipstringOptional
The IP address of your user. Allows determination of the user's location for fraud recovery and analytics purposes.
session_idstringOptional
A unique user session identifier created by your application. Do not use the real user's session identifier. Allows identification of all requests throughout a user session for error handling and troubleshooting.
user_agentstringOptional

The user agent (device, application or browser) of your user. Allows retrieval of mobile rates and discounts from some providers. Must be properly encoded. Max 32 characters. Required to get discounted mobile rates.

configuration_idintegerOptional

Configuration ID for proper company settings. Obtain via the get_configurations endpoint.

systemstringOptional

The booking channel. Valid values include: aft, obt, web.

traveler_emailstringOptional
statusstringOptional